<?php
	
	session_start();
	include ("../conectar.php");
	if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' ){

		}else{

			header('location:acceso_denegado.php');

		}

 $usuario=$_SESSION['username'];
		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
		}
		$hoy=date("d/m/Y");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
	
	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
    <style type="text/css">
<!--
.Estilo1 {color: #000000}
-->
    </style>
</head>
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">
	
		function Calcular_Vuelto()

			{
				var mensaje="";
				if (parseFloat(document.getElementById("monabo").value) <= parseFloat ( document.getElementById("pagacon").value )){ 
	  				var monabo=document.getElementById("monabo").value;
					var pagacon=document.getElementById("pagacon").value;
	                var vuelto =  pagacon - monabo  ;
	 
			         document.getElementById("vuelto").value=vuelto;
			
				} else {
				   
					alert("Atencion, El monto pagado no puede ser menor al Abono:\n\n"+document.getElementById("monabo").value);
				document.getElementById("pagacon").value="";
			    document.getElementById("vuelto").value="";
			}
			}
			
					
	function validar_Monto()
			{
				var mensaje="";
				if (parseFloat(document.getElementById("monabo").value) <= parseFloat ( document.getElementById("salact").value )){ 
	  				var monabo=document.getElementById("monabo").value;
					var salact=document.getElementById("salact").value;
	                var nuevosaldo =  salact - monabo  ;
	 
			         document.getElementById("nuevosaldo").value=nuevosaldo;
			
				} else {
				   
					alert("Atencion, El monto abonado no puede ser mayor al saldo:\n\n"+document.getElementById("salact").value);
				document.getElementById("monabo").value="";
			    
			}
			}
			
		
			
		function validar_Recibo()
	
			{
				var mensaje="";
				if (document.getElementById("monabo").value=="") mensaje+="  - Monto Abonado\n";
				if (document.getElementById("pagacon").value=="") mensaje+="  - Monto Pagado\n";
				
				if (mensaje!="") {
					alert("Atencion, falta completar los siguientes campos:\n\n"+mensaje);
				} else {
					document.getElementById("formulario").submit();
				}
			}
			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////
		
				
		
		function puntitos(donde,caracter,campo)
{
var decimales = false
campo = eval("donde.form." + campo)
	for (d =0; d < campo.length; d++)
		{
		if(campo[d].checked == true)
			{
			dec = new Number(campo[d].value)
			break;
			}
		}
	if (dec != 0)
		{decimales = true}




pat = /[\*,\+,\(,\),\?,\\,\$,\[,\],\^]/
valor = donde.value
largo = valor.length
crtr = true
if(isNaN(caracter) || pat.test(caracter) == true)
	{
	if (pat.test(caracter)==true) 
		{caracter = "\\" + caracter}
	carcter = new RegExp(caracter,"g")
	valor = valor.replace(carcter,"")
	donde.value = valor
	crtr = false
	}
else
	{
	var nums = new Array()
	cont = 0
	for(m=0;m<largo;m++)
		{
		if(valor.charAt(m) == "" || valor.charAt(m) == " " || valor.charAt(m) == ".")
			{continue;}
		else{
			nums[cont] = valor.charAt(m)
			cont++
			}
		
		}
	}

if(decimales == true) {
	ctdd = eval(1 + dec);
	nmrs = 1
	}
else {
	ctdd = 1; nmrs = 3
	}
var cad1="",cad2="",cad3="",tres=0
if(largo > nmrs && crtr == true)
	{
	for (k=nums.length-ctdd;k>=0;k--){
		cad1 = nums[k]
		cad2 = cad1 + cad2
		tres++
		if((tres%3) == 0){
			if(k!=0){
				cad2 = "" + cad2
				}
			}
		}
		
	for (dd = dec; dd > 0; dd--)	
	{cad3 += nums[nums.length-dd] }
	if(decimales == true)
	{cad2 += "." + cad3}
	 donde.value = cad2
	}
donde.focus()
}	

	
        </script>



	</head>
<?php 




$numfac=$_GET["numfac"];

$where="1=1";

if ($numfac <> "") { $where.=" AND WEB_2101.numfac='$numfact'"; }





?>

<?php
 $sel_lineas="SELECT * FROM WEB_2101 WHERE numfac = $numfac ";
$rs_lineas=mysql_query($sel_lineas);
for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
		$numfac=mysql_result($rs_lineas,$i,"numfac");
	//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
	//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
	//$referencia=mysql_result($rs_lineas,$i,"referencia");
	$fecfac=mysql_result($rs_lineas,$i,"fecfac");
	$totnet=mysql_result($rs_lineas,$i,"totnet");
	$salact=mysql_result($rs_lineas,$i,"salact");
	$cdgcli=mysql_result($rs_lineas,$i,"cdgcli");
	
	//$totalfactura=mysql_result($rs_lineas,$i,"totalfactura");
	//$importe=mysql_result($rs_lineas,$i,"importe");
	//$impuesto=mysql_result($rs_lineas,$i,"impuesto");
	$baseimp=$salact+$baseimp;
	//$baseiva=$impuesto+$baseiva;
	//$descuento=mysql_result($rs_lineas,$i,"dcto");
	
	}
?>    
    
    
    
	<body>
		<div id="pagina">
			<div id="zonaContenido">
				<div align="center">
				<div id="tituloForm" class="header">Abono a Factura </div>
				<p>&nbsp;</p>
				<div id="formulario3" class="contenido">
				<form id="formulario" name="formulario" method="post" action="guardar_recibo.php">
                    <table class="fuente8" width="96%" cellspacing=0 cellpadding=3 border=0>
						<tr>
						  <td colspan="6" class="header2">Detalle</td>
						</tr>
						<tr>
						  <td width="12%">&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
					  </tr>
						<tr>
									          <?php
						
					  	$query_cliente="SELECT * FROM WEB_0301 WHERE cdgcli = $cdgcli ";
						$res_cliente=mysql_query($query_cliente);
						$contador=0;
					  ?>
					       <input id="cdgcli" name="cdgcli" value="<? echo $cdgcli?>" type="hidden">
						   <input id="accion" name="accion" value="alta" type="hidden">
						  <td><span class="Estilo1">Cliente</span></td>
						  <td colspan="2"><input id="dsccli" type="text"  name="dsccli" size="40" value="<?php echo mysql_result($res_cliente,$contador,"dsccli")?>" readonly="readonly" /></td>
						<td><span class="Estilo1">Fecha</span></td>
						  <td colspan="2"><input  name="fecha" type="text" id="fecha" value="<? echo $hoy?>" readonly="readonly" /></td>
					  </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
					  </tr>
						<tr>
                 
						  <td><span class="Estilo1">N. Factura</span></td>
						  <td colspan="2"><input id="numfac" type="text"  name="numfac" value="<? echo $numfac?>" readonly /></td>
						  <td><span class="Estilo1">Cajero</span></td>
						  <td colspan="2"><input id="algo" type="text"  name="algo" value="<? echo $nomb?>" readonly></td>
					  </tr>
						<tr>
						  
						   <td><span class="Estilo1">Fecha</span></td>
						  <td colspan="2"><input id="fecfac" type="text"  name="fecfac" value="<? echo $fecfac?>" readonly /></td>
						 
						  <td width="11%"><span class="Estilo1">Monto</span></td>
                            <td width="20%"><input id="salact" type="text"  name="salact" value="<? echo $salact?>" readonly="readonly" /></td>
						</tr>
					  <tr>	
						  <td><span class="Estilo1">Abono</span></td>
						  <td colspan="2"><input id="monabo" type="text"  name="monabo" value="<? echo $monabo?>"  onblur="validar_Monto()" onchange="validar_Monto()" 
						   onkeyup="puntitos(this,this.value.charAt(this.value.length-1),'decimales')" /></td>
						  <td><span class="Estilo1">Saldo</span></td>
						<td><input id="nuevosaldo" type="text"  name="nuevosaldo" value="<? echo $nuevosaldo?>" readonly="readonly" /></td>
					  </tr>
						<tr>
						  <td colspan="6"><div align="center"><span class="Estilo1">Pagar </span>	 
					          <input id="pagacon" type="text"  name="pagacon" value="<? echo $pagacon?>" onblur="Calcular_Vuelto()" onchange="Calcular_Vuelto()"/>					      
					      </div></td>
					    </tr>
						<tr>
						  <td colspan="6">  <div align="center"><span class="Estilo1">Vuelto</span>
					        <input   id="vuelto" type="text"  name="vuelto" value="<? echo $vuelto?>" readonly="" />
								 <input name="decimales" type="hidden" value="2" checked>
       <input type="hidden" name="decimales" value="4" >
       <input type="hidden" name="decimales" value="3">

							 
					      </div></td>
						  <td width="1%" rowspan="3">&nbsp;</td>
					  </tr>
					
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="2">                        					                            
						  <td width="11%">&nbsp;</td>
						  <td colspan="2">&nbsp;</td>
						</tr>
			
						<tr>
						  <td colspan="6"><div align="center"><img src="../img/Symbol-Check_48x48-32.png" width="48" height="48"  onClick="validar_Recibo()" border="0" onMouseOver="style.cursor=cursor" title="Aceptar"></div></td>
					    </tr>
              </table>
                  </form>
			 </div>
		  </div>
		</div>
	</body>
</html>
